# Uses of Class
java.security.KeyStoreSpi

Packages that use KeyStoreSpi
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of KeyStoreSpi in java.security

Constructors in java.security with parameters of type KeyStoreSpi
Modifier
Constructor
Description
`protected`
`KeyStore(KeyStoreSpi keyStoreSpi, Provider provider, String type)`
Creates a `KeyStore` object of the given type, and encapsulates the given provider implementation (SPI object) in it.